
###############################################
# Make file per l'applicazione Risorse.       #
# syntax: make -B -frisorse.mak               #
###############################################

# macro per gli strumenti utilizzati

ASM = ..\..\bin\tasm32
LNK = ..\..\bin\tlink32
RSC = ..\..\bin\brcc32

# macro per i files

NAME = risorse
OBJS = $(NAME).obj 
RSCS = $(NAME).res

# macro per le opzioni dell'assembler e del linker

ASMOPT = /ml /zn
LNKOPT = /c /x /Tpe /aa /V4.0

############# generazione exe file ############

$(NAME).EXE: $(OBJS) $(RSCS)
   $(LNK) $(LNKOPT) $(OBJS), $(NAME), , , , $(RSCS)

########### generazione object file ###########

$(NAME).OBJ: $(NAME).ASM
   $(ASM) $(ASMOPT) $(NAME).ASM

########## generazione resource file ##########

$(NAME).RES: $(NAME).RC
   $(RSC) $(NAME).RC
